﻿
<script src="<?php echo $request->getBaseUrl(); ?>/js/jquery-ui.js"></script>
<script> 
jQuery(document).ready(function() {
	$(".ui-dialog-titlebar").append("<span id='iconhelp' class='ui-icon  ui-icon-alert '></span>");

	jQuery('#FormFreeRequest').on('submit', function(e) {
		e.preventDefault(); // J'empï¿½che le comportement par dï¿½faut du navigateur, c-ï¿½-d de soumettre le formulaire
		
		// background pour le chargement
	    jQuery('.container.body').prepend('<div id="background-loading"></div>');
		
		// icone d'alerte dans la pop up avertissement taille plus grande 1mo
	    $(".ui-dialog-titlebar").prepend("<span class='ui-icon ui-icon-alert' style='float:left; margin:4px 7px 0px 0px;'</span>");
		
		// classe utilisée pour transmettre un fichier en ajax
		var form = new FormData();
		
		// recuperation du module selectionne
		var module = jQuery('#module').val();
		
		var baseUrl =  document.getElementById("baseUrl").value ;

		// on test si le fichier est inférieur ou égale a 1 mo
		if($('input[type=file]')[0].files[0].size<=1048576)
			{
			// on ajoute les données au formData le file et le module
			form.append('file', $('input[type=file]')[0].files[0]);
			form.append("module",module);
			
			// ajax appelant la méthode ph pactionAjaxImport
		     $.ajax({
	             async: true,
	             contentType : false,
	             data : form,
	             processData : false,
	             type : "POST",
	             url: 'http://'+window.location.hostname+baseUrl+'/Fsn_Historique/ajaxImport',
	             beforeSend: function(){
	                 $("#loading_pop_up").show();
	               	 $("#background-loading").show();
	               },
	             success: function (data, status, xhr) {
	            	 $("#loading_pop_up").hide();
	            	 $('#background-loading').hide();
	            	 alert("Succès de l'appel du webservice. Valider pour consulter le compte-rendu..."); // jfb 2016-04-27
	                 alert(data);
	            	 // jfb 2016-05-04 début : récupération de l'index "save-fsn-success" dans le JSON pour vérifier le succès de l'import
	                 var JSONArray = $.parseJSON(data);
	                 var saveFsnSuccess = JSONArray["save-fsn-success"];
	                 if (saveFsnSuccess == true) {
		                 alert("Succès de l'import : " + saveFsnSuccess);
	                 }
	                 else {
		                 alert("Echec de l'import : " + saveFsnSuccess);
	                 }
	              	 // jfb 2016-05-04 fin
	             },
		    	 error: function(data,errorThrown) {
					 alert("Echec de l'appel du webservice : ".errorThrown);
				}
	         });
			}
		else{
			$('#dialog-message').dialog('open');
		}
	});
});

//pop up fichier trop volumineux
$(function() {
    $( "#dialog-message" ).dialog({
      modal: true,
      autoOpen: false,
      buttons: {
        Ok: function() {
          $( this ).dialog( "close" );
        }
      }
    });
  });
	
</script>
<?php

  $session = $this->getSession();
  $registry = $this->getRegistry();
  $i18n = $this->getRegistry()->get('i18n');
  $filter_html = new Yab_Filter_Html();
  $form_errors = $form->getErrors();

  $params = $this->request->getParams() ;

?>

<?php echo $form->getHeadHtml(); ?>

<?php if($afficheForm){ ?>

<head>
  <meta charset="UTF-8">
</head> 	

<form method="post" action="" name="FormFreeRequest" id="FormFreeRequest" role="form" class="form-horizontal">
  
  <input type="hidden" id="baseUrl" value="<?php echo $request->getBaseUrl() ; ?>" />
  <img src="<?php echo $request->getBaseUrl(); ?>/images/loading.gif" id="loading_pop_up" style="display: none; position: absolute;"/>

  <div id="dialog-message" title="Erreur importation" style="display:none;">
    <p>
      <span class="ui-icon ui-icon-closethick" style="float:left; margin:0 7px 50px 0;"></span>
      Le fichier que vous tentez d'importer est trop volumineux. (Taille maximum autorisée : 1Mo)
    </p>
  </div>

  <div id="pass-background"></div>
  
  <fieldset>
    <legend><?php echo $filter_html->filter($i18n->say('menu_import')); ?></legend>
    
    <?php if($form->isSubmitted() && $form->isValid()): ?>
    <div class="confirmation"><?php echo $filter_html->filter('ADD_CONFIRMATION'); ?></div>
	<?php endif; ?>
	
	<?php foreach($form_errors as $name => $errors): ?>
    <div class="alert alert-danger">
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
        <a class="alert-link" href="#<?php echo $name; ?>" onclick="document.getElementById('<?php echo $name; ?>').focus(); return false;">
          <?php echo $filter_html->filter(implode(', ', $errors)); ?>
        </a>
    </div>
	<?php endforeach; ?>
    
    <?php foreach($form->getElements() as $element): ?>
	<div
			class="form-group field<?php echo array_key_exists($element->get('name'), $form_errors) ? ' error' : ''; ?>"
      		id="F<?php echo $filter_html->filter($element->get('id')); ?>"  
	>
    
	  <label class="col-md-2 control-label" for="<?php echo $filter_html->filter($element->get('id')); ?>">
        <?php echo $filter_html->filter($element->get('label')); ?>
      </label>

      <?php echo $form->getElement($element->get('name'))->getHtml(); ?>

	  <?php 
        $tooltip = $element->has('tooltip') ? $element->get('tooltip') : null ; 
        if( !empty($tooltip) ){  ?>
        
          <div class="col-md-1" >
            <span
              id="<?php echo $element->get('name') ;?>_tooltip"
              class="glyphicon glyphicon-info-sign"
              title="" 
              data-original-title="" 
              data-toggle="popover"
              data-container="body"
              data-content="<?php echo $tooltip ; ?>"            
              data-placement="right"
              style="cursor:pointer;"            
            ></span>
          </div>
          
      <?php } ?> 
              
	</div>
    <?php endforeach; ?>
    
	<div>
			<input class="btn btn-primary" value="<?php echo $filter_html->filter($i18n->say('valid', array(' '))) ; ?>" type="submit">
<!-- jfb 2016-04-22 début
			<a href="/Projets/fsn/fsn_dev/public/Fsn_Historique/index/" class="btn btn-default">Retour</a>
  // jfb 2016-04-22 fin -->
		<a href="<?php echo $this->getRequest('Index', 'index'); ?>" class="btn btn-default" >Retour &agrave; index</a> <!-- jfb 2016-04-22 -->
	</div>

  </fieldset>
	
</form>

<?php } else { ?>
<!-- !($afficheForm) -->

<div class="row">

	<a class='btn btn-success' href="<?php echo $this->getRequest('Fsn_Historique', 'import');?>">Nouvel import</a>
	&nbsp;
	<a href="<?php echo $this->getRequest('Fsn_Historique', 'downloadimport');?>" class="btn btn-danger">Télécharger le fichier pour le corriger</a>

  <?php
	echo "<table class='table table-bordered'>";
	echo "<caption>Liste des imports</caption>";
	echo "<tr>";
		foreach($listeImport as $key => $valeur){
			foreach($valeur as $champ => $valeur){
				echo "<th>$champ</th>";
			}
			break;
		}
	echo "</tr>";
		foreach($listeImport as $key => $valeur){
			if ($valeur['tmp_erreur'] != ""){
				echo "<tr class='alert alert-danger'>";
			} else {
				echo "<tr>";
			}
			
			foreach($valeur as $champ => $value){
				echo "<td>".utf8_encode($value)."</td>";

			}
			echo "</tr>";
		}
	echo "</table>";
  ?>
  
	<a class='btn btn-success' href="<?php echo $this->getRequest('Fsn_Historique', 'import');?>">Nouvel import</a> 
	&nbsp;
	<a href="<?php echo $this->getRequest('Fsn_Historique', 'downloadimport');?>" class="btn btn-danger">Télécharger le fichier pour le corriger</a>

</div>

<?php }?>
